%define target_alias h8300-hitachi-hms

Summary: GNU binutils for cross compiling for the Lego Mindstorms RCX.
Name: rcx-binutils
Version: 2.9.5.0.22
Release: 1
Copyright: GPL
Group: Development/Mindstorms
URL: http://sourceware.cygnus.com/binutils
Packager: James Henstridge <james@daa.com.au>
Source: ftp://ftp.valinux.com/pub/support/hjl/binutils/binutils-%{version}.tar.bz2
Patch0: binutils-2.9.5.0.22-ldsymver.patch
Patch1: binutils-2.9.5.0.22-sortsize.patch
Buildroot: /var/tmp/rcx-binutils-root

%description
Binutils is a collection of binary utilities, including ar, nm, objcopy,
objdump, ranlib, size, strings, strip, c++filt, addr2line, and nlmconv. 

This package contains these tools built for cross compiling for the
Lego Mindstorms RCX.

%prep
%setup -q -n binutils-%{version}
%patch0 -p0

%build

#./configure --prefix=%{_prefix} --enable-shared $ADDITIONAL_TARGETS \
#	$RPM_ARCH-redhat-linux

%configure --target=%{target_alias}
make all

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}
make prefix=${RPM_BUILD_ROOT}%{_prefix} install
strip ${RPM_BUILD_ROOT}%{_prefix}/%{target_alias}/bin/*

mv ${RPM_BUILD_ROOT}%{_prefix}/lib/* ${RPM_BUILD_ROOT}%{_prefix}/%{target_alias}/lib
mv ${RPM_BUILD_ROOT}%{_prefix}/include ${RPM_BUILD_ROOT}%{_prefix}/%{target_alias}
install -m 644 include/libiberty.h ${RPM_BUILD_ROOT}%{_prefix}/%{target_alias}/include

# This one comes from egcs
rm -f ${RPM_BUILD_ROOT}%{_prefix}/%{target_alias}/bin/c++filt
rm -f ${RPM_BUILD_ROOT}%{_prefix}/bin/%{target_alias}-c++filt

# this reduces the package size substantially:
(
  cd ${RPM_BUILD_ROOT}%{_prefix}/%{target_alias}/bin
  for file in *; do
    if test -f ../../bin/%{target_alias}-$file &&
        cmp $file ../../bin/%{target_alias}-$file; then
      rm ../../bin/%{target_alias}-$file
      ln -s ../%{target_alias}/bin/$file ../../bin/%{target_alias}-$file
    fi
  done
)

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README
%{_prefix}/%{target_alias}/bin/*
%{_prefix}/%{target_alias}/include/*
%{_prefix}/%{target_alias}/lib/*
%{_prefix}/bin/*

%changelog
* Thu Apr 20 2000 James Henstridge <james@daa.com.au>
- new package for cross compiling for RCX.  Based on binutils package.
